KDE 4.7 PyKDE API Reference

- KDE's Python API

# ItemColor Class Reference

`from PyKDE4.kdeui import *`

Inherits: KConfigSkeletonItem
Namespace: KConfigSkeleton

## Detailed Description

Class for handling a color preferences item.

## Methods
| __init__ (self, QString _group, QString _key, QColor reference, QColor defaultValue=QColor(128,128,128))
bool | isEqual (self, QVariant p)
QVariant | property (self)
| readConfig (self, KConfig config)
| setProperty (self, QVariant p)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QColor | reference,
|  | QColor | defaultValue=QColor(128,128,128)
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &)

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property()

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.setProperty(const QVariant&)